// pages/handleFile/handleFile.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    vanoverlayshow: false,
    fileList: [
      {
        name: '范一岚',
        date: '1995/12',
        choseFlag: false
      },
      {
        name: '汪渊',
        date: '1993/02',
        choseFlag: false
      }
    ],
    delFileList: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.initDelList()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 删除文档
   */
  handleDelFile() {
    let flag = this.data.delFileList.find(item => {
      return item == true
    })
    if (!flag) {
      wx.showToast({
        title: '请选择删除的档案！',
        icon: 'error',
        mask: true,
        duration: 2000
      })
    } else {
      this.setData({
        vanoverlayshow: true
      })
    }
  },

  /**
   * 取消
   */
  handleCancel() {
    this.setData({
      vanoverlayshow: false
    })
  },

  /* 确定 */
  handleConfirm () {
    this.setData({
      vanoverlayshow: false
    }, () => {
      wx.showLoading({
        title: '加载中...',
        mask: true
      })
      setTimeout(() => {
        wx.hideLoading({
          success: (res) => {},
        })
      }, 2000);
    })
  },

  /**
   * 用户点击 单选radio
   */
  handleRadio (e) {
    var choseIndex = e.currentTarget.dataset.index
    var currentList = this.data.fileList
    currentList[choseIndex].choseFlag = !currentList[choseIndex].choseFlag
    this.setData({
      fileList: currentList
    })
    this.initDelList()
  },
  /* 处理删除的数据 */
  initDelList () {
    var currentList = this.data.fileList
    var _a = []
    currentList.map(item => {
      _a.push(item.choseFlag)
    })
    this.setData({
      delFileList: _a
    })
  }
})